Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3124)
@@ -38,5 +38,5 @@
       !!
       !! ** Method  :   Read the namc14 namelist and check the parameter 
-      !!       values called at the first timestep (nit000)
+      !!       values called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist namelist_c14b
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/LOBSTER/trcexp.F90	(revision 3124)
@@ -126,5 +126,5 @@
       ! Time filter and swap of arrays
       ! ------------------------------
-      IF( neuler == 0 .AND. kt == nit000 ) THEN        ! Euler time-stepping at first time-step
+      IF( neuler == 0 .AND. kt == nittrc000 ) THEN        ! Euler time-stepping at first time-step
         !                                             ! (only swap)
         sedpocn(:,:) = sedpoca(:,:)
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 3124)
@@ -252,5 +252,5 @@
       !!
       !! ** Method  :   Read the nampisext namelist and check the parameters
-      !!      called at the first timestep (nit000)
+      !!      called at the first timestep (nittrc000)
       !! ** input   :   Namelist nampisext
       !!----------------------------------------------------------------------
@@ -326,5 +326,5 @@
 
       !                                         ! -------------------- !
-      IF( kt == nit000 ) THEN                   ! First call kt=nit000 !
+      IF( kt == nittrc000 ) THEN                   ! First call kt=nittrc000 !
          !                                      ! -------------------- !
          !                                            !* set file information (default values)
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlim.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlim.F90	(revision 3124)
@@ -182,5 +182,5 @@
       !!
       !! ** Method  :   Read the nampislim namelist and check the parameters
-      !!      called at the first timestep (nit000)
+      !!      called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist nampislim
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zlys.F90	(revision 3124)
@@ -181,5 +181,5 @@
       !!
       !! ** Method  :   Read the nampiscal namelist and check the parameters
-      !!      called at the first timestep (nit000)
+      !!      called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist nampiscal
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmeso.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmeso.F90	(revision 3124)
@@ -237,5 +237,5 @@
       !!
       !! ** Method  :   Read the nampismes namelist and check the parameters
-      !!      called at the first timestep (nit000)
+      !!      called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist nampismes
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmicro.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zmicro.F90	(revision 3124)
@@ -201,5 +201,5 @@
       !!
       !! ** Method  :   Read the nampiszoo namelist and check the parameters
-      !!                called at the first timestep (nit000)
+      !!                called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist nampiszoo
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zprod.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zprod.F90	(revision 3124)
@@ -466,5 +466,5 @@
       !!
       !! ** Method  :   Read the nampisprod namelist and check the parameters
-      !!      called at the first timestep (nit000)
+      !!      called at the first timestep (nittrc000)
       !!
       !! ** input   :   Namelist nampisprod
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/p4zsed.F90	(revision 3124)
@@ -337,7 +337,7 @@
       !!---------------------------------------------------------------------
 
-      ! Compute dust at nit000 or only if there is more than 1 time record in dust file
+      ! Compute dust at nittrc000 or only if there is more than 1 time record in dust file
       IF( ln_dust ) THEN
-         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_dust > 1 ) ) THEN
+         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_dust > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_dust )
             dust(:,:) = sf_dust(1)%fnow(:,:,1)
@@ -346,8 +346,8 @@
 
       ! N/P and Si releases due to coastal rivers
-      ! Compute river at nit000 or only if there is more than 1 time record in river file
+      ! Compute river at nittrc000 or only if there is more than 1 time record in river file
       ! -----------------------------------------
       IF( ln_river ) THEN
-         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_riv > 1 ) ) THEN
+         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_riv > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_riverdic )
             CALL fld_read( kt, 1, sf_riverdoc )
@@ -362,7 +362,7 @@
       ENDIF
 
-      ! Compute N deposition at nit000 or only if there is more than 1 time record in N deposition file
+      ! Compute N deposition at nittrc000 or only if there is more than 1 time record in N deposition file
       IF( ln_ndepo ) THEN
-         IF( kt == nit000 .OR. ( kt /= nit000 .AND. ntimes_ndep > 1 ) ) THEN
+         IF( kt == nittrc000 .OR. ( kt /= nittrc000 .AND. ntimes_ndep > 1 ) ) THEN
             CALL fld_read( kt, 1, sf_ndepo )
             DO jj = 1, jpj
@@ -384,5 +384,5 @@
       !!
       !! ** method  :   read the files and compute the budget
-      !!                called at the first timestep (nit000)
+      !!                called at the first timestep (nittrc000)
       !!
       !! ** input   :   external netcdf files
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/PISCES/trcrst_pisces.F90	(revision 3124)
@@ -195,5 +195,5 @@
         ENDIF
         !
-        CALL trc_dta( nit000, ztrcdta )   ! read tracer data at nit000
+        CALL trc_dta( nittrc000, ztrcdta )   ! read tracer data at nittrc000
         !
         DO jn = 1, jptra
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcadv.F90	(revision 3124)
@@ -85,5 +85,5 @@
       IF( neuler == 0 .AND. kt == nittrc000 ) THEN     ! at nittrc000
          r2dt(:) =  rdttrc(:)           ! = rdttrc (restarting with Euler time stepping)
-      ELSEIF( kt <= nittrc000 + nn_dttrc ) THEN          ! at nittrc000 or nittrc000+1
+      ELSEIF( kt <= nittrc000 + 1 ) THEN          ! at nittrc000 or nittrc000+1
          r2dt(:) = 2. * rdttrc(:)       ! = 2 rdttrc (leapfrog)
       ENDIF
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 3124)
@@ -119,6 +119,6 @@
 
       ! set time step size (Euler/Leapfrog)
-      IF( neuler == 0 .AND. kt ==  nittrc000) THEN  ;  r2dt(:) =     rdttrc(:)   ! at nittrc000             (Euler)
-      ELSEIF( kt <= nittrc000 +  nn_dttrc )           THEN  ;  r2dt(:) = 2.* rdttrc(:)   ! at nit000 or nit000+1 (Leapfrog)
+      IF( neuler == 0 .AND. kt ==  nittrc000 ) THEN  ;  r2dt(:) =     rdttrc(:)   ! at nittrc000             (Euler)
+      ELSEIF( kt <= nittrc000 + 1 )            THEN  ;  r2dt(:) = 2.* rdttrc(:)   ! at nit000 or nit000+1 (Leapfrog)
       ENDIF
 
@@ -139,6 +139,6 @@
       ELSE
          ! Leap-Frog + Asselin filter time stepping
-         IF( lk_vvl ) THEN   ;   CALL tra_nxt_vvl( kt,nittrc000, 'TRC', trb, trn, tra, jptra )      ! variable volume level (vvl) 
-         ELSE                ;   CALL tra_nxt_fix( kt,nittrc000, 'TRC', trb, trn, tra, jptra )      ! fixed    volume level 
+         IF( lk_vvl ) THEN   ;   CALL tra_nxt_vvl( kt, nittrc000, 'TRC', trb, trn, tra, jptra )      ! variable volume level (vvl) 
+         ELSE                ;   CALL tra_nxt_fix( kt, nittrc000, 'TRC', trb, trn, tra, jptra )      ! fixed    volume level 
          ENDIF
       ENDIF
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 3124)
@@ -188,5 +188,5 @@
             IF( l_trdtrc ) THEN
                !
-               zs2rdt = 1. / ( 2. * rdt * FLOAT(nn_dttrc) )
+               zs2rdt = 1. / ( 2. * rdt * FLOAT( nn_dttrc ) )
                ztrtrdb(:,:,:) = ( ptrb(:,:,:,jn) - ztrtrdb(:,:,:) ) * zs2rdt
                ztrtrdn(:,:,:) = ( ptrn(:,:,:,jn) - ztrtrdn(:,:,:) ) * zs2rdt 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 3124)
@@ -74,5 +74,5 @@
       IF( neuler == 0 .AND. kt == nittrc000 ) THEN     ! at nittrc000
          r2dt(:) =  rdttrc(:)           ! = rdttrc (restarting with Euler time stepping)
-      ELSEIF( kt <= nittrc000 + nn_dttrc ) THEN          ! at nittrc000 or nittrc000+nn_dttrc
+      ELSEIF( kt <= nittrc000 + 1 ) THEN          ! at nittrc000 or nittrc000+1
          r2dt(:) = 2. * rdttrc(:)       ! = 2 rdttrc (leapfrog)
       ENDIF
@@ -88,12 +88,12 @@
       SELECT CASE ( nzdf )                       ! compute lateral mixing trend and add it to the general trend
       CASE ( -1 )                                       ! esopa: test all possibility with control print
-         CALL tra_zdf_exp( kt,nittrc000, 'TRC', r2dt, nn_trczdf_exp, trb, tra, jptra ) 
+         CALL tra_zdf_exp( kt, nittrc000, 'TRC', r2dt, nn_trczdf_exp, trb, tra, jptra ) 
          WRITE(charout, FMT="('zdf1 ')") ;  CALL prt_ctl_trc_info(charout)
                                             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
-         CALL tra_zdf_imp( kt,nittrc000, 'TRC', r2dt,                trb, tra, jptra ) 
+         CALL tra_zdf_imp( kt, nittrc000, 'TRC', r2dt,                trb, tra, jptra ) 
          WRITE(charout, FMT="('zdf2 ')") ;  CALL prt_ctl_trc_info(charout)
                                             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
-      CASE ( 0 ) ;  CALL tra_zdf_exp( kt,nittrc000, 'TRC', r2dt, nn_trczdf_exp, trb, tra, jptra )    !   explicit scheme 
-      CASE ( 1 ) ;  CALL tra_zdf_imp( kt,nittrc000, 'TRC', r2dt,                trb, tra, jptra )    !   implicit scheme          
+      CASE ( 0 ) ;  CALL tra_zdf_exp( kt, nittrc000, 'TRC', r2dt, nn_trczdf_exp, trb, tra, jptra )    !   explicit scheme 
+      CASE ( 1 ) ;  CALL tra_zdf_imp( kt, nittrc000, 'TRC', r2dt,                trb, tra, jptra )    !   implicit scheme          
 
       END SELECT
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 3124)
@@ -71,5 +71,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( kt == nit000 )  THEN
+      IF( kt == nittrc000 )  THEN
          ALLOCATE( ndext50(jpij*jpk), ndext51(jpij), STAT=ierr )
          IF( ierr > 0 ) THEN
@@ -145,5 +145,5 @@
       itmod = kt - nittrc000 + 1
       it    = kt
-      iiter = ( nit000 - 1 ) / nn_dttrc
+      iiter = ( nittrc000 - 1 ) / nn_dttrc
 
       ! Define NETCDF files and fields at beginning of first time step
@@ -292,5 +292,5 @@
       itmod = kt - nittrc000 + 1
       it    = kt
-      iiter = ( nit000 - 1 ) / nn_dttrc
+      iiter = ( nittrc000 - 1 ) / nn_dttrc
 
       ! 1. Define NETCDF files and fields at beginning of first time step
@@ -433,5 +433,5 @@
       itmod = kt - nittrc000 + 1
       it    = kt
-      iiter = ( nit000 - 1 ) / nn_dttrc
+      iiter = ( nittrc000 - 1 ) / nn_dttrc
 
       ! Define NETCDF files and fields at beginning of first time step
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 3124)
@@ -177,5 +177,5 @@
          IF( ln_sco ) THEN                   !==   s- or mixed s-zps-coordinate   ==!
             !
-            IF( kt == nit000 .AND. lwp )THEN
+            IF( kt == nittrc000 .AND. lwp )THEN
                WRITE(numout,*)
                WRITE(numout,*) 'trc_dta: interpolates passive tracer data onto the s- or mixed s-z-coordinate mesh'
@@ -232,5 +232,5 @@
          ENDDO 
          !
-         IF( lwp .AND. kt == nit000 ) THEN
+         IF( lwp .AND. kt == nittrc000 ) THEN
             DO jn = 1, ntra
                clndta = TRIM( sf_trcdta(jn)%clvar ) 
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 3124)
@@ -121,5 +121,5 @@
             ENDIF
             !
-            CALL trc_dta( nit000, ztrcdta )   ! read tracer data at nit000
+            CALL trc_dta( nittrc000, ztrcdta )   ! read tracer data at nittrc000
             !
             DO jn = 1, jptra
Index: branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 3123)
+++ branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 3124)
@@ -66,5 +66,5 @@
 
          IF( MOD( kt - 1, nstock ) == 0 ) THEN
-            ! we use kt - 1 and not kt - nit000 to keep the same periodicity from the beginning of the experiment
+            ! we use kt - 1 and not kt - nittrc000 to keep the same periodicity from the beginning of the experiment
             nitrst = kt + nstock - 1                  ! define the next value of nitrst for restart writing
             IF( nitrst > nitend )   nitrst = nitend   ! make sure we write a restart at the end of the run
@@ -200,5 +200,5 @@
       !!       In both those options, the  exact duration of the experiment
       !!       since the beginning (cumulated duration of all previous restart runs)
-      !!       is not stored in the restart and is assumed to be (nit000-1)*rdt.
+      !!       is not stored in the restart and is assumed to be (nittrc000-1)*rdt.
       !!       This is valid is the time step has remained constant.
       !!