Index: /branches/2011/dev_NEMO_MERGE_2011/DOC/TexFiles/Chapters/Chap_DYN.tex
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 3141)
+++ /branches/2011/dev_NEMO_MERGE_2011/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 3142)
@@ -607,6 +607,6 @@
 Pressure gradient formulations in an $s$-coordinate have been the subject of a vast 
 number of papers ($e.g.$, \citet{Song1998, Shchepetkin_McWilliams_OM05}). 
-A number of different pressure gradient options are coded, but they are not yet fully 
-documented or tested. 
+A number of different pressure gradient options are coded but the ROMS-like, density Jacobian with 
+cubic polynomial method is currently disabled whilst known bugs are under investigation.
 
 $\bullet$ Traditional coding (see for example \citet{Madec_al_JPO96}: (\np{ln\_dynhpg\_sco}=true)
@@ -625,19 +625,18 @@
 ($e_{3w}$). 
 
+$\bullet$ Pressure Jacobian scheme (prj) (a research paper in preparation) (\np{ln\_dynhpg\_prj}=true)
+
 $\bullet$ Density Jacobian with cubic polynomial scheme (DJC) \citep{Shchepetkin_McWilliams_OM05} 
-(\np{ln\_dynhpg\_djc}=true)
-
-$\bullet$ Pressure Jacobian scheme (prj) \citep{Thiem_Berntsen_OM06} (\np{ln\_dynhpg\_prj}=true)
-
-Note that expression \eqref{Eq_dynhpg_sco} is commonly used when the variable volume 
-formulation is activated (\key{vvl}) because in that case, even with a flat bottom, 
-the coordinate surfaces are not horizontal but follow the free surface 
-\citep{Levier2007}. Only the pressure jacobian scheme (\np{ln\_dynhpg\_prj}=true) is available as an 
-alternative to the default \np{ln\_dynhpg\_sco}=true when \key{vvl} is active.  The pressure Jacobian scheme uses 
-a constrained cubic spline to reconstruct the density profile across the water column. This method
-maintains the monotonicity between the density nodes and is of a higher order than the linear
-interpolation method. The pressure can be calculated by analytical integration of the density profile and
-a pressure Jacobian method is used to solve the horizontal pressure gradient. This method should
-provide a more accurate calculation of the horizontal pressure gradient than the standard scheme.
+(\np{ln\_dynhpg\_djc}=true) (currently disabled; under development)
+
+Note that expression \eqref{Eq_dynhpg_sco} is commonly used when the variable volume formulation is
+activated (\key{vvl}) because in that case, even with a flat bottom, the coordinate surfaces are not
+horizontal but follow the free surface \citep{Levier2007}. The pressure jacobian scheme
+(\np{ln\_dynhpg\_prj}=true) is available as an improved option to \np{ln\_dynhpg\_sco}=true when
+\key{vvl} is active.  The pressure Jacobian scheme uses a constrained cubic spline to reconstruct
+the density profile across the water column. This method maintains the monotonicity between the
+density nodes  The pressure can be calculated by analytical integration of the density profile and a
+pressure Jacobian method is used to solve the horizontal pressure gradient. This method can provide
+a more accurate calculation of the horizontal pressure gradient than the standard scheme.
 
 %--------------------------------------------------------------------------------------------------------------
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 3141)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 3142)
@@ -139,4 +139,9 @@
          WRITE(numout,*) '      time stepping: centered (F) or semi-implicit (T)  ln_dynhpg_imp = ', ln_dynhpg_imp
       ENDIF
+      !
+      IF( ln_hpg_djc )   &
+         &   CALL ctl_stop('dyn_hpg_init : Density Jacobian: Cubic polynominal method &
+                           & currently disabled (bugs under investigation). Please select &
+                           & either  ln_hpg_sco or  ln_hpg_prj instead')
       !
       IF( lk_vvl .AND. .NOT. (ln_hpg_sco.OR.ln_hpg_prj) )   &