Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 3177)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 3178)
@@ -1204,5 +1204,5 @@
       !
       INTEGER ::   jit, jk   ! dummy loop indices
-      INTEGER ::   id1, id2, id3, id4, id5, id6, id7, id8
+      INTEGER ::   id1, id2, id3, id4, id5, id6
       INTEGER ::   ji, jj, ikbu, ikbv
       REAL(wp)::   cbx, cby
@@ -1219,5 +1219,5 @@
             id6 = iom_varid( numror, 'mxln' , ldstop = .FALSE. )
             !
-            IF( MIN( id1, id2, id3, id4, id5, id6, id7, id8 ) > 0 ) THEN        ! all required arrays exist
+            IF( MIN( id1, id2, id3, id4, id5, id6 ) > 0 ) THEN        ! all required arrays exist
                CALL iom_get( numror, jpdom_autoglo, 'en'    , en     )
                CALL iom_get( numror, jpdom_autoglo, 'avt'   , avt    )
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT	(revision 3177)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ALTIX_NAUTILUS_MPT	(revision 3178)
@@ -8,5 +8,11 @@
 #PBS -W group_list=nemo
 #PBS -j oe
-
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+#
+# load sette functions (only post_test_tidyup needed)
+#
+  . ${SETTE_DIR}/all_functions.sh
 ###############################################################
 #
@@ -27,38 +33,6 @@
   export SVN_HOME=/fibre/acc/UTILS/svn/v1.5/svn
 #
-#
-# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
-# (via sed operating on this template job file). Note that the number of compute nodes required
-# (half-populated on the NOCS ALTIX system) is also set by the fcm_job.sh on the PBS select
-# header line above.
-#
-  OCEANCORES=NPROCS
-  export SETTE_DIR=DEF_SETTE_DIR
-#
-# These variables are needed by post_test_tidyup function in all_functions.sh
-#
-  export INPUT_DIR=DEF_INPUT_DIR
-  export OUTPUT_DIR=DEF_OUTPUT_DIR
-  export CONFIG_DIR=DEF_CONFIG_DIR
-  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
-  export NEW_CONF=DEF_NEW_CONF
-  export CMP_NAM=DEF_CMP_NAM
-  export TEST_NAME=DEF_TEST_NAME
-  export EXE_DIR=DEF_EXE_DIR
-#
-# end of set up
-###############################################################
-#
-# change to the working directory 
-#
-  cd $PBS_O_WORKDIR
-#
-# load sette functions (only post_test_tidyup needed)
-#
-  . ${SETTE_DIR}/all_functions.sh
-#
   echo Running on host `hostname`
   echo Time is `date`
-  echo Directory is `pwd`
   echo PBS job ID is $PBS_JOBID
   echo This jobs runs on the following machines:
@@ -79,4 +53,32 @@
   echo export OMP_NUM_THREADS=1 
 #
+# Don't remove neither change the following line
+# BODY
+#
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). Note that the number of compute nodes required
+# (half-populated on the NOCS ALTIX system) is also set by the fcm_job.sh on the PBS select
+# header line above.
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+  export EXE_DIR=DEF_EXE_DIR
+#
+# end of set up
+###############################################################
+#
+# change to the working directory 
+#
+# cd $PBS_O_WORKDIR
+  cd $EXE_DIR
+  echo Directory is `pwd`
+#
+#
 #  Run the parallel MPI executable 
 #
@@ -86,3 +88,5 @@
 #
   post_test_tidyup
+# END_BODY
+# Don't remove neither change the previous line
   exit
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/all_functions.sh	(revision 3177)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/all_functions.sh	(revision 3178)
@@ -119,7 +119,7 @@
 		exit 1
 	fi
-        sed -e "s/${VAR_NAME}.*/${VAR_NAME}/" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
+        sed -e "s:${VAR_NAME}.*:${VAR_NAME}:" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
         mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1
-        sed -e "s/${VAR_NAME}/$2=$3/"  ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
+        sed -e "s:${VAR_NAME}:$2=$3:"  ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
         mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1
 
Index: /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/sette.sh	(revision 3177)
+++ /branches/2011/dev_NEMO_MERGE_2011/NEMOGCM/SETTE/sette.sh	(revision 3178)
@@ -200,5 +200,5 @@
 
 if [ ${config} -eq 2 ] ;  then
-    ## Repropducibility tests for GYRE_LOBSTER
+    ## Reproducibility tests for GYRE_LOBSTER
     export TEST_NAME="REPRO_1_4"
     cd ${SETTE_DIR}
@@ -325,5 +325,5 @@
 
 if [ ${config} -eq 4 ] ;  then
-    ## Repropducibility tests for ORCA2_LIM_PISCES
+    ## Reproducibility tests for ORCA2_LIM_PISCES
     export TEST_NAME="REPRO_4_4"
     cd ${SETTE_DIR}
@@ -451,5 +451,5 @@
 
 if [ ${config} -eq 6 ] ;  then
-    ## Repropducibility tests for ORCA2_OFF_PISCES
+    ## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_4"
     cd ${SETTE_DIR}
@@ -516,5 +516,5 @@
 if [ ${config} -eq 7 ] ;  then
     ## Reproducibility tests for AMM12
-    export TEST_NAME="REPO_8_4"
+    export TEST_NAME="REPRO_8_4"
     cd ${SETTE_DIR}
     . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep"
@@ -544,5 +544,5 @@
 
     cd ${SETTE_DIR}
-    export TEST_NAME="REPO_4_8"
+    export TEST_NAME="REPRO_4_8"
     . prepare_exe_dir.sh
     JOB_FILE=${EXE_DIR}/run_job.sh
@@ -611,6 +611,5 @@
     set_namelist namelist ln_rstart .true.
     set_namelist namelist nn_rstctl 2
-    cp ../LONG/AMM12_00000006_restart*.nc .
-    set_namelist namelist cn_ocerst_in \"AMM12_00000006_restart\"
+    set_namelist namelist cn_ocerst_in \"../LONG/AMM12_00000006_restart\"
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE